#! @BASH@
#
echo 1..4 # Number of tests to be executed.
#
. ./cdoTestFunctions.test
#
test -n "$CDO"      || CDO="@abs_top_builddir@/src/cdo $CDO_DEBUG"
test -n "$DATAPATH" || DATAPATH="@abs_top_srcdir@/test/data/"
#
IFILE1=$DATAPATH/ts_mm_5years
IFILE2=$DATAPATH/ts_mm_1year
#
FORMAT="-f srv -b 32"
OPERATORS="ymonadd ymonsub ymonmul ymondiv"
#
NTEST=1
#
for OPERATOR in $OPERATORS; do
    if [ -z "$1" ] || [ $NTEST == $1 ]; then
        RFILE=$DATAPATH/${OPERATOR}_ref
        OFILE=${OPERATOR}_res

        CDOTEST="$OPERATOR"
        CDOCOMMAND="$CDO  $FORMAT ${OPERATOR} $IFILE1 $IFILE2 $OFILE"
        TESTCOMMAND="$CDO  diff $OFILE $RFILE"

        runTest
        rm -f $OFILE
    fi
    (( NTEST+=1 ))
done
#
exit 0
